"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListJobsByPipeline_1 = require("../model/operations/ListJobsByPipeline");
var ListJobsByPipelineCommand = /** @class */ (function () {
    function ListJobsByPipelineCommand(input) {
        this.input = input;
        this.model = ListJobsByPipeline_1.ListJobsByPipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListJobsByPipelineCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListJobsByPipelineCommand;
}());
exports.ListJobsByPipelineCommand = ListJobsByPipelineCommand;
//# sourceMappingURL=ListJobsByPipelineCommand.js.map