"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Encryption_1 = require("./_Encryption");
exports._Artwork = {
    type: "structure",
    required: [],
    members: {
        InputKey: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MaxWidth: {
            shape: {
                type: "string"
            }
        },
        MaxHeight: {
            shape: {
                type: "string"
            }
        },
        SizingPolicy: {
            shape: {
                type: "string"
            }
        },
        PaddingPolicy: {
            shape: {
                type: "string"
            }
        },
        AlbumArtFormat: {
            shape: {
                type: "string"
            }
        },
        Encryption: {
            shape: _Encryption_1._Encryption
        }
    }
};
//# sourceMappingURL=_Artwork.js.map