"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AudioParameters_1 = require("./_AudioParameters");
var _VideoParameters_1 = require("./_VideoParameters");
var _Thumbnails_1 = require("./_Thumbnails");
exports._Preset = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string"
            }
        },
        Arn: {
            shape: {
                type: "string"
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Container: {
            shape: {
                type: "string"
            }
        },
        Audio: {
            shape: _AudioParameters_1._AudioParameters
        },
        Video: {
            shape: _VideoParameters_1._VideoParameters
        },
        Thumbnails: {
            shape: _Thumbnails_1._Thumbnails
        },
        Type: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Preset.js.map