"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CodecOptions_1 = require("./_CodecOptions");
var _PresetWatermarks_1 = require("./_PresetWatermarks");
exports._VideoParameters = {
    type: "structure",
    required: [],
    members: {
        Codec: {
            shape: {
                type: "string"
            }
        },
        CodecOptions: {
            shape: _CodecOptions_1._CodecOptions
        },
        KeyframesMaxDist: {
            shape: {
                type: "string"
            }
        },
        FixedGOP: {
            shape: {
                type: "string"
            }
        },
        BitRate: {
            shape: {
                type: "string"
            }
        },
        FrameRate: {
            shape: {
                type: "string"
            }
        },
        MaxFrameRate: {
            shape: {
                type: "string"
            }
        },
        Resolution: {
            shape: {
                type: "string"
            }
        },
        AspectRatio: {
            shape: {
                type: "string"
            }
        },
        MaxWidth: {
            shape: {
                type: "string"
            }
        },
        MaxHeight: {
            shape: {
                type: "string"
            }
        },
        DisplayAspectRatio: {
            shape: {
                type: "string"
            }
        },
        SizingPolicy: {
            shape: {
                type: "string"
            }
        },
        PaddingPolicy: {
            shape: {
                type: "string"
            }
        },
        Watermarks: {
            shape: _PresetWatermarks_1._PresetWatermarks
        }
    }
};
//# sourceMappingURL=_VideoParameters.js.map